#!/usr/bin/apt-get script

AptID = confget("APT::aptID::ID","00000000000000000000000000000000")
URL = confget("APT::aptID::URL", "http://127.0.0.1:80/?aptid=")
TO = confget("APT::aptID::Timeout", 5)
Verbose = confget("APT::aptID::Verbose", 1)
Enabled = confget("APT::aptID::Enabled", 1)

if Enabled == "0" then
	os.exit(0)
end

if script_slot == "Scripts::AptGet::Update::Post" then
	if Verbose == "1" then
    		print("AptID transfer to the server.")
	end

	local http = require("socket.http")
	http.TIMEOUT=TO
	local body, code, headers, status = http.request{url=URL..AptID, method="GET"}
--	print(code, status)
	if ( code ~= 200 and Verbose == "1" ) then
		print ("AptID request failed")
	elseif
	    ( code == 200 and Verbose == "1" ) then
            	print ("AptID request successfully")
	end

	
end

